3 Replies Latest reply on Apr 9, 2010 6:12 PM by anandsrinivasana_

    Can't build a 64713's firmware

              Hello,   
      I have a problem to build my firmware for the 64713: I need to use the ezusb.lib but when i have to build the hex file I have the error 'invalid input module' with the ezusb.lib.   
      I tried to build the library but now the error is 'restricted module in library not supported'.   
      Do you have any solution to use this library?   
        • 1. Re: Can't build a 64713's firmware
                  Are you using full version of keil????   
          • 2. Re: Can't build a 64713's firmware
                    Indeed that's the problem, I can't be sure about my version of keil because I'm using an old version of the software used for a previous project with an AN2131 so I'm wondering if the problem is due to the age of the version or if I don't a full version. For the first project a complete development kit was bought that's how I have the softwares. Now the previous firmware can be build but the new one can't.   
            • 3. Re: Can't build a 64713's firmware
                      Goto help menu and click About uVision. you should be able to find whether it is a full version bcoz it would show who it was licensed to.... Just build a sample proj say the classic "hello world" thing using that ezusb.lib and upload it here... if possible upload the files that you are using to build ezusb.lib... i've built ezub.lib in the past and from the difference between the two i should be able to tell what the problem is....